## org.hibernate
Class ObjectNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.UnresolvableObjectException
                          org.hibernate.ObjectNotFoundException

All Implemented Interfaces:
  Serializable

    public class ObjectNotFoundException

extends UnresolvableObjectException

Thrown when `Session.load()` fails to select a row with the given primary key (identifier value). This exception might not be thrown when `load()` is called, even if there was no row on the database, because `load()` returns a proxy if possible. Applications should use `Session.get()` to test if a row exists in the database.
Like all Hibernate exceptions, this exception is considered unrecoverable.

See Also:
  Serialized Form

Constructor Summary
`ObjectNotFoundException(Serializable identifier, String clazz)`

Method Summary

Methods inherited from class org.hibernate.UnresolvableObjectException
`getEntityName, getIdentifier, getMessage, throwIfNull`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNotFoundException

    public ObjectNotFoundException(Serializable identifier,
                                   String clazz)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.